Name:           metadata-extractor
Version:        2.3.1
Release:        5%{?dist}
Summary:        JPEG metadata extraction framework

Group:          Development/Libraries
# Read upstream homepage for license information
License:        Public Domain
URL:            http://www.drewnoakes.com/code/exif/
Source0:        http://www.drewnoakes.com/code/exif/releases/%{name}-%{version}-src.jar
# Patch provided by Gabriel Ebner to remove all references to the 
# com.sun classes. Package builds with a free java implementation now.
Patch0:         %{name}-2.3.1-nosun.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  ant-junit
Requires:       jpackage-utils
Requires:       java


%description
Java based metadata extraction library for JPEG images with support for Exif 
and Iptc metadata segments, including manufacturer specific metadata of 
several digital camera models.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils


%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -c
%patch0 -p1

# Remove pre-built JAR and class files
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

# Use system junit
build-jar-repository -s -p Libraries junit

# Fix end-of-line encoding
sed -i 's/\r//' ChangeLog.txt

# Disable junit tests
sed -i 's/depends="clean, compile, test"/depends="clean, compile"/' build.xml

%build
ant dist-binaries javadoc


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p Releases/%{name}-%{version}.jar   \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

# JAR alias
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{version}.jar %{name}.jar
popd

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp javadoc/*  \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

#javadoc alias
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -sf %{name}-%{version} %{name}
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc ChangeLog.txt


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}


%changelog
* Sun Oct 18 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-5
- Fixed javadoc package requires
- Created javadoc directory alias

* Sat Sep 12 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-4
- Disabled junit tests because of bad coding in the tests themselves

* Sat Aug 22 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-3
- Used a different workaround as suggested by Guido Grazioli to make 
  junit tests complete successfully

* Fri Aug 14 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-2
- Created JAR alias
- Used a patch to make junit tests complete successfully

* Sun Aug 02 2009 Andrea Musuruane <musuruan@gmail.com> 2.3.1-1
- First release

